Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.stats
Class FlowStepStats

    java.lang.Object
      cascading.stats.CascadingStats
          cascading.stats.FlowStepStats

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  HadoopStepStats, LocalStepStats

    public abstract class FlowStepStats

extends CascadingStats

Class StepStats collects `FlowStep` specific statistics.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class cascading.stats.CascadingStats
`CascadingStats.Status`

Field Summary

Fields inherited from class cascading.stats.CascadingStats
`clientState, STATS_STORE_INTERVAL`

Constructor Summary
`protected` | `FlowStepStats(FlowStep flowStep, ClientState clientState)` Constructor CascadingStats creates a new CascadingStats instance.

Method Summary
`protected FlowStep` | `getFlowStep()`
`String` | `getID()` Method getID returns the ID of this CascadingStats object.
`abstract void` | `recordChildStats()`
`void` | `recordInfo()`
`String` | `toString()`

Methods inherited from class cascading.stats.CascadingStats
`captureDetail, cleanup, getChildren, getCounterGroups, getCounterGroupsMatching, getCountersFor, getCountersFor, getCounterValue, getCounterValue, getCurrentDuration, getDuration, getFinishedTime, getName, getPendingTime, getRunTime, getStartTime, getStatsString, getStatus, getSubmitTime, getThrowable, isEngaged, isFailed, isFinished, isPending, isRunning, isSkipped, isStarted, isStopped, isSubmitted, isSuccessful, markFailed, markPending, markPendingTime, markRunning, markRunTime, markSkipped, markStarted, markStartedThenRunning, markStartTime, markStartToRunTime, markStopped, markSubmitted, markSubmitTime, markSuccessful, prepare, recordStats, setStatsStoreInterval`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FlowStepStats

    protected FlowStepStats(FlowStep flowStep,
                            ClientState clientState)

  Constructor CascadingStats creates a new CascadingStats instance.

Method Detail

### getID

    public String getID()

  Description copied from class: `CascadingStats`
  Method getID returns the ID of this CascadingStats object.

  Specified by:
    `getID` in class `CascadingStats`
  Returns:
    the ID (type Object) of this CascadingStats object.

### getFlowStep

    protected FlowStep getFlowStep()

### recordInfo

    public void recordInfo()

  Specified by:
    `recordInfo` in class `CascadingStats`

### toString

    public String toString()

  Overrides:
    `toString` in class `CascadingStats`

### recordChildStats

    public abstract void recordChildStats()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.